orm

## Class CursoDAO

- java.lang.Object
- - orm.CursoDAO

    public class CursoDAO
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CursoDAO()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Curso` `createCurso()`
`static boolean` `delete(Curso curso)`
`static boolean` `deleteAndDissociate(Curso curso)`
`static boolean` `deleteAndDissociate(Curso curso, org.orm.PersistentSession session)`
`static boolean` `evict(Curso curso)`
`static Curso` `getCursoByORMID(int id_pk)`
`static Curso` `getCursoByORMID(int id_pk, org.hibernate.LockMode lockMode)`
`static Curso` `getCursoByORMID(org.orm.PersistentSession session, int id_pk)`
`static Curso` `getCursoByORMID(org.orm.PersistentSession session, int id_pk, org.hibernate.LockMode lockMode)`
`static java.util.Iterator` `iterateCursoByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static java.util.Iterator` `iterateCursoByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.Iterator` `iterateCursoByQuery(java.lang.String condition, java.lang.String orderBy)`
`static java.util.Iterator` `iterateCursoByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Curso[]` `listCursoByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static Curso[]` `listCursoByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Curso[]` `listCursoByQuery(java.lang.String condition, java.lang.String orderBy)`
`static Curso[]` `listCursoByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Curso` `loadCursoByORMID(int id_pk)`
`static Curso` `loadCursoByORMID(int id_pk, org.hibernate.LockMode lockMode)`
`static Curso` `loadCursoByORMID(org.orm.PersistentSession session, int id_pk)`
`static Curso` `loadCursoByORMID(org.orm.PersistentSession session, int id_pk, org.hibernate.LockMode lockMode)`
`static Curso` `loadCursoByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static Curso` `loadCursoByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Curso` `loadCursoByQuery(java.lang.String condition, java.lang.String orderBy)`
`static Curso` `loadCursoByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.List` `queryCurso(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static java.util.List` `queryCurso(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.List` `queryCurso(java.lang.String condition, java.lang.String orderBy)`
`static java.util.List` `queryCurso(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static boolean` `refresh(Curso curso)`
`static boolean` `save(Curso curso)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CursoDAO

    public CursoDAO()

### Method Detail

#### loadCursoByORMID

    public static Curso loadCursoByORMID(int id_pk)
                                  throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getCursoByORMID

    public static Curso getCursoByORMID(int id_pk)
                                 throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadCursoByORMID

    public static Curso loadCursoByORMID(int id_pk,
                                         org.hibernate.LockMode lockMode)
                                  throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getCursoByORMID

    public static Curso getCursoByORMID(int id_pk,
                                        org.hibernate.LockMode lockMode)
                                 throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadCursoByORMID

    public static Curso loadCursoByORMID(org.orm.PersistentSession session,
                                         int id_pk)
                                  throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getCursoByORMID

    public static Curso getCursoByORMID(org.orm.PersistentSession session,
                                        int id_pk)
                                 throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadCursoByORMID

    public static Curso loadCursoByORMID(org.orm.PersistentSession session,
                                         int id_pk,
                                         org.hibernate.LockMode lockMode)
                                  throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getCursoByORMID

    public static Curso getCursoByORMID(org.orm.PersistentSession session,
                                        int id_pk,
                                        org.hibernate.LockMode lockMode)
                                 throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryCurso

    public static java.util.List queryCurso(java.lang.String condition,
                                            java.lang.String orderBy)
                                     throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryCurso

    public static java.util.List queryCurso(java.lang.String condition,
                                            java.lang.String orderBy,
                                            org.hibernate.LockMode lockMode)
                                     throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listCursoByQuery

    public static Curso[] listCursoByQuery(java.lang.String condition,
                                           java.lang.String orderBy)
                                    throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listCursoByQuery

    public static Curso[] listCursoByQuery(java.lang.String condition,
                                           java.lang.String orderBy,
                                           org.hibernate.LockMode lockMode)
                                    throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryCurso

    public static java.util.List queryCurso(org.orm.PersistentSession session,
                                            java.lang.String condition,
                                            java.lang.String orderBy)
                                     throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryCurso

    public static java.util.List queryCurso(org.orm.PersistentSession session,
                                            java.lang.String condition,
                                            java.lang.String orderBy,
                                            org.hibernate.LockMode lockMode)
                                     throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listCursoByQuery

    public static Curso[] listCursoByQuery(org.orm.PersistentSession session,
                                           java.lang.String condition,
                                           java.lang.String orderBy)
                                    throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listCursoByQuery

    public static Curso[] listCursoByQuery(org.orm.PersistentSession session,
                                           java.lang.String condition,
                                           java.lang.String orderBy,
                                           org.hibernate.LockMode lockMode)
                                    throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadCursoByQuery

    public static Curso loadCursoByQuery(java.lang.String condition,
                                         java.lang.String orderBy)
                                  throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadCursoByQuery

    public static Curso loadCursoByQuery(java.lang.String condition,
                                         java.lang.String orderBy,
                                         org.hibernate.LockMode lockMode)
                                  throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadCursoByQuery

    public static Curso loadCursoByQuery(org.orm.PersistentSession session,
                                         java.lang.String condition,
                                         java.lang.String orderBy)
                                  throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadCursoByQuery

    public static Curso loadCursoByQuery(org.orm.PersistentSession session,
                                         java.lang.String condition,
                                         java.lang.String orderBy,
                                         org.hibernate.LockMode lockMode)
                                  throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateCursoByQuery

    public static java.util.Iterator iterateCursoByQuery(java.lang.String condition,
                                                         java.lang.String orderBy)
                                                  throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateCursoByQuery

    public static java.util.Iterator iterateCursoByQuery(java.lang.String condition,
                                                         java.lang.String orderBy,
                                                         org.hibernate.LockMode lockMode)
                                                  throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateCursoByQuery

    public static java.util.Iterator iterateCursoByQuery(org.orm.PersistentSession session,
                                                         java.lang.String condition,
                                                         java.lang.String orderBy)
                                                  throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateCursoByQuery

    public static java.util.Iterator iterateCursoByQuery(org.orm.PersistentSession session,
                                                         java.lang.String condition,
                                                         java.lang.String orderBy,
                                                         org.hibernate.LockMode lockMode)
                                                  throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### createCurso

    public static Curso createCurso()

#### save

    public static boolean save(Curso curso)
                        throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### delete

    public static boolean delete(Curso curso)
                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### deleteAndDissociate

    public static boolean deleteAndDissociate(Curso curso)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### deleteAndDissociate

    public static boolean deleteAndDissociate(Curso curso,
                                              org.orm.PersistentSession session)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### refresh

    public static boolean refresh(Curso curso)
                           throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### evict

    public static boolean evict(Curso curso)
                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`